com.fasterxml.jackson.databind.deser.impl

## Class ObjectIdReader

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ObjectIdReader

All Implemented Interfaces:
  Serializable

    public class ObjectIdReader
    extends Object
    implements Serializable

Object that knows how to serialize Object Ids.

See Also:
  Serialized Form

### Field Summary

Fields
`protected JsonDeserializer<Object>` `_deserializer` Deserializer used for deserializing id values.
`protected JavaType` `_idType`
`com.fasterxml.jackson.annotation.ObjectIdGenerator<?>` `generator` Blueprint generator instance: actual instance will be fetched from `SerializerProvider` using this as the key.
`SettableBeanProperty` `idProperty`
`PropertyName` `propertyName`

### Constructor Summary

Constructors
`protected` `ObjectIdReader(JavaType t, PropertyName propName, com.fasterxml.jackson.annotation.ObjectIdGenerator<?> gen, JsonDeserializer<?> deser, SettableBeanProperty idProp)`
`protected` `ObjectIdReader(JavaType t, String propName, com.fasterxml.jackson.annotation.ObjectIdGenerator<?> gen, JsonDeserializer<?> deser, SettableBeanProperty idProp)` Deprecated.

### Method Summary

Methods
`static ObjectIdReader` `construct(JavaType idType, PropertyName propName, com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator, JsonDeserializer<?> deser, SettableBeanProperty idProp)` Factory method called by `BeanSerializerBase` with the initial information based on standard settings for the type for which serializer is being built.
`static ObjectIdReader` `construct(JavaType idType, String propName, com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator, JsonDeserializer<?> deser, SettableBeanProperty idProp)` Deprecated.
`JsonDeserializer<Object>` `getDeserializer()`
`JavaType` `getIdType()`
`Object` `readObjectReference(com.fasterxml.jackson.core.JsonParser jp, DeserializationContext ctxt)` Method called to read value that is expected to be an Object Reference (that is, value of an Object Id used to refer to another object).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _idType

    protected final JavaType _idType

#### propertyName

    public final PropertyName propertyName

#### generator

    public final com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator

Blueprint generator instance: actual instance will be fetched from `SerializerProvider` using this as the key.

#### _deserializer

    protected final JsonDeserializer<Object> _deserializer

Deserializer used for deserializing id values.

#### idProperty

    public final SettableBeanProperty idProperty

### Constructor Detail

#### ObjectIdReader

    protected ObjectIdReader(JavaType t,
                  PropertyName propName,
                  com.fasterxml.jackson.annotation.ObjectIdGenerator<?> gen,
                  JsonDeserializer<?> deser,
                  SettableBeanProperty idProp)

#### ObjectIdReader

    @Deprecated
    protected ObjectIdReader(JavaType t,
                             String propName,
                             com.fasterxml.jackson.annotation.ObjectIdGenerator<?> gen,
                             JsonDeserializer<?> deser,
                             SettableBeanProperty idProp)

Deprecated.

### Method Detail

#### construct

    public static ObjectIdReader construct(JavaType idType,
                           PropertyName propName,
                           com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator,
                           JsonDeserializer<?> deser,
                           SettableBeanProperty idProp)

Factory method called by `BeanSerializerBase` with the initial information based on standard settings for the type for which serializer is being built.

#### construct

    @Deprecated
    public static ObjectIdReader construct(JavaType idType,
                                      String propName,
                                      com.fasterxml.jackson.annotation.ObjectIdGenerator<?> generator,
                                      JsonDeserializer<?> deser,
                                      SettableBeanProperty idProp)

Deprecated.

#### getDeserializer

    public JsonDeserializer<Object> getDeserializer()

#### getIdType

    public JavaType getIdType()

#### readObjectReference

    public Object readObjectReference(com.fasterxml.jackson.core.JsonParser jp,
                             DeserializationContext ctxt)
                               throws IOException,
                                      com.fasterxml.jackson.core.JsonProcessingException

Method called to read value that is expected to be an Object Reference (that is, value of an Object Id used to refer to another object).

Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`
Since:
  2.3